[SciPy-user] NameError on scipy import

Robert Kern robert.kern@gmail....
Thu Feb 1 15:13:41 CST 2007


Stephen Uhlhorn wrote:
> The one in the path below is definitely the version I built. My
> working numpy is installed under the same tree. The other (fink)
> version is under /sw/lib/python/site-packages and I changed my path so
> that the python called is completely outside the fink tree.
> 
> Should I update scipy via svn?

I would double-check that the file

/Library/Frameworks/Python.framework/Versions/2.4/lib/python2.4/site-packages/scipy/__init__.py

is the same as from the source that you built. That file in the
scipy-0.5.2.tar.gz that I just downloaded does not have the line that is causing
the error. Most likely, you should delete the directory

/Library/Frameworks/Python.framework/Versions/2.4/lib/python2.4/site-packages/scipy/

and re-install from the source that you have (provided that it does not also
have the erroneous "del lib" line).

-- 
Robert Kern

"I have come to believe that the whole world is an enigma, a harmless enigma
 that is made terrible by our own mad attempt to interpret it as though it had
 an underlying truth."
  -- Umberto Eco


More information about the SciPy-user mailing list